# useTestNG

open fun useTestNG()

Specifies that TestNG should be used to discover and execute the tests.

#### See also

useTestNG(Action)

Configure TestNG specific options.

open fun useTestNG(@DelegatesTo(value = TestNGOptions::class) testFrameworkConfigure: Closure)

Specifies that TestNG should be used to discover and execute the tests with additional configuration.

The supplied action configures an instance of TestNG specific options.

#### Parameters

testFrameworkConfigure

A closure used to configure TestNG options.

open fun useTestNG(testFrameworkConfigure: Action<in TestNGOptions>)

Specifies that TestNG should be used to discover and execute the tests with additional configuration.

The supplied action configures an instance of TestNG specific options.

#### Since

3.5

#### Parameters

testFrameworkConfigure

An action used to configure TestNG options.